apiVersion: apps/v1
kind: Deployment
metadata:
  name: "sessions-deployment"
  labels:
    app: "sessions"
  namespace: api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: "sessions"
  template:
    metadata:
      labels:
        app: "sessions"
    spec:
      dnsPolicy: Default
      containers:
      - name: "sessions"
        image: "virtuatable/sessions:<VERSION>"
        args:
          - "web"
        env:
        - name: "MONGODB_URL"
          valueFrom:
            secretKeyRef:
              name: "mongodb-uri"
              key: "production"
        - name: "RACK_ENV"
          value: "production"
        ports:
          - containerPort: 80
        imagePullPolicy: Always